package skyrix.portlets;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import org.apache.xmlrpc.XmlRpcClient;
/**
 * @author buhle
 *
 * Generiert einen XmlRpcClient 
 */
public class Client
{
  // Initialisierung des Client
  private static XmlRpcClient client = null;
  /**
   * Erstellt den XmlRpcClient.
   * 
   * @param hostUrl URL mit dem verbunden werden soll
   * @param usr Name des Users
   * @param pwd Passwort des Users
   * @throws MalformedURLException
   */
  protected Client(String hostUrl, String usr, String pwd)
    throws MalformedURLException, IOException
  {
    client = new XmlRpcClient(new URL(hostUrl));
    client.setBasicAuthentication(usr, pwd);
  }
  /**
   * Gibt den XmlRpcClient zurck. 
   * @return client XmlRpcClient
   */
  protected XmlRpcClient getClient()
  {
    return client;
  }
}
