package skyrix.portlets;

import javax.servlet.http.HttpServletRequest;

import skyrix.AppointmentManager;

import com.bea.p13n.usermgmt.profile.ProfileWrapper;

/**Stellt Methoden zum berprfen der Verbindung zum Skyrix-Server.
 * 
 * @author buhle
 *
 */
public abstract class Organizer
{
  /**berprft die Verbindung zum SkyrixXMLRPc-Demon 
   * 
   * @param request HttpServletRequest der anfordernden JSP-Seite
   * @return true wenn die Verbindung in Ordnung ist und der Username samt Passwort korrekt
   */
  public boolean checkConnection(HttpServletRequest request)
  {
    PortletProperties pp = new PortletProperties();
    UserProfileManager upm = new UserProfileManager();
    ProfileWrapper pw = upm.getProfileWrapper(request);
    boolean connectionOk = true;
    
    try
    {
      Client client = new Client(pp.getHost(), pw.getPropertyAsString("skyrix","userName"), pw.getPropertyAsString("skyrix","userPwd"));
      AppointmentManager am = new AppointmentManager(client.getClient());
      am.getAllAppointments(new java.util.Date(), null);
    }
   catch (Exception e)
   {
     connectionOk = false;
   }
   return connectionOk;
  }
}