package skyrix.portlets;

import java.io.InputStream;
import java.util.Properties;

import com.bea.commerce.ebusiness.discount.util.Log;

/**
 * @author buhle
 *
 * Liest die Property-Datei aus und stellt Funktionen zum Abfragen der Properties
 */
public class PortletProperties
{
  private static Properties properties = new Properties();
  
  /**Liest die Properties aus der Datei properties aus.
   *
   */
  public PortletProperties()
  {
    try
    {
      InputStream iostream = getClass().getResourceAsStream("properties");
      properties.load(iostream);
      iostream.close();
    }
   catch (Exception e)
   {
     Log.error(e);
   }
  }
  
  /**Gibt einen String mit dem XMLRpc Host zurck.
   * 
   * @return String
   */
  protected String getHost()
  {
    return properties.getProperty("xmlrpc_host");
  }

  /**Gibt einen String mit dem Skyrix Host zurck.
   * 
   * @return String
   */
   protected String getSkyrixLink()
  {
    return properties.getProperty("skyrix_host");
  }
  
}
