package skyrix.portlets;

import javax.servlet.http.HttpServletRequest;

import com.bea.p13n.usermgmt.SessionHelper;
import com.bea.p13n.usermgmt.profile.ProfileFactory;
import com.bea.p13n.usermgmt.profile.ProfileIdentity;
import com.bea.p13n.usermgmt.profile.ProfileWrapper;
import com.bea.portal.appflow.PortalAppflowFactory;
import com.bea.portal.appflow.PortalRequest;

/**
 * @author <a href="mailto:mirko@skyrix.com">Mirko Buhle</a>
 * @version $Revision: $
 */
public class UserProfileManager
{
  public UserProfileManager()
  {
  } 
  
  /**Gibt einen ProfilWrapper mit dem Profil des aktuellen Users zurck
   * 
   * @param request Request des Users
   * @return ProfileWrapper des Users
   */
  public ProfileWrapper getProfileWrapper(HttpServletRequest request)
  {
    ProfileWrapper profile = null;

    // ProfileWrapper holen
    ProfileWrapper currentProfile = SessionHelper.getProfile(request);

    // ProfileIdentity der Session holen
    PortalRequest   portalRequest   = PortalAppflowFactory.getPortalRequest(request);
    ProfileIdentity profileIdentity = portalRequest.getPortalSession().getIdentity();

    // berprfung ob der geholte ProfileWrapper der richtige ist.
    if ( currentProfile != null )
    {
      ProfileIdentity currentProfileIdentity = currentProfile.getProfileIdentity();
      if ( currentProfileIdentity != null && currentProfileIdentity.equals(profileIdentity))
      {
        profile = currentProfile;
      }
    }
    
    // Falls noch kein Profil existiert wird ein neues angelegt
    if ( profile == null )
    {
      // Create a new profile wrapper
      try
      {
        SessionHelper.removeProfile( request );
        if (profileIdentity != null)
        {
          profile = ProfileFactory.getProfile( profileIdentity );
        }
       else
       {
         profile = ProfileFactory.createAnonymousProfile();
       }
       SessionHelper.putProfileInSession(request, profile);
      }
      catch (Exception e) 
      {
      }
    }
    return profile;
  }
}
